# OpalRFC2833Info Class Reference

`#include <rfc2833.h>`

List of all members.

## Public Member Functions

| OpalRFC2833Info (char tone, unsigned duration=0, unsigned timestamp=0)
char | GetTone () const
unsigned | GetDuration () const
unsigned | GetTimestamp () const
PBoolean | IsToneStart () const

## Protected Attributes

char | tone
unsigned | duration
unsigned | timestamp

## Constructor & Destructor Documentation

OpalRFC2833Info::OpalRFC2833Info | ( | char | tone,
|  | unsigned | duration = `0`,
|  | unsigned | timestamp = `0` |
| ) |  |  |

## Member Function Documentation

char OpalRFC2833Info::GetTone | ( |  | ) | const`[inline]`

unsigned OpalRFC2833Info::GetDuration | ( |  | ) | const`[inline]`

unsigned OpalRFC2833Info::GetTimestamp | ( |  | ) | const`[inline]`

PBoolean OpalRFC2833Info::IsToneStart | ( |  | ) | const`[inline]`

## Member Data Documentation

char OpalRFC2833Info::tone `[protected]`

unsigned OpalRFC2833Info::duration `[protected]`

unsigned OpalRFC2833Info::timestamp `[protected]`

The documentation for this class was generated from the following file:

- rfc2833.h